| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# MsgStream.h File Reference

`#include "GaudiKernel/IMessageSvc.h"`
`#include <cstdio>`
`#include <string>`
`#include <iomanip>`
`#include <vector>`
`#include <sstream>`

Include dependency graph for MsgStream.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | MsgStream
| Definition of the MsgStream class used to transmit messages. More...
## Functions
MsgStream & | endreq (MsgStream &s)
| MsgStream Modifier: endreq. Calls the output method of the MsgStream.
MsgStream & | endmsg (MsgStream &s)
| MsgStream Modifier: endreq. Calls the output method of the MsgStream.
std::string | format (const char *,...)
| MsgStream format utility "a la sprintf(...)".
template<class _Tm>
MsgStream & | operator<< (MsgStream &s, const std::smanip< _Tm > &manip)
| I/O Manipulator for setfill.
template<typename T>
MsgStream & | operator<< (MsgStream &lhs, const T &arg)
| General templated stream operator.
template<typename T>
MsgStream & | operator<< (MsgStream &lhs, const std::vector< T > &v)
| Specialization stream operator for std::vector<T>.
template<typename T, typename A>
MsgStream & | operator<< (MsgStream &lhs, const std::vector< T, A > &v)
| Specialization stream operator for std::vector<T,A>.

## Function Documentation

MsgStream& endmsg | ( | MsgStream & | s | ) | `[inline]`

MsgStream Modifier: endreq. Calls the output method of the MsgStream.

Definition at line 226 of file MsgStream.h.

References Gaudi::Units::s.

Referenced by PartitionSwitchTool::_check(), PartitionSwitchAlg::_check(), ApplicationMgr::addMultiSvc(), DataStreamTool::addStream(), TimingAuditor::after(), MultiStoreSvc::attachServices(), NTupleSvc::attachTuple(), NTupleSvc::book(), CollectionCloneAlg::checkInput(), InputCopyStream::collectObjects(), ApplicationMgr::configure(), DataOnDemandSvc::configureHandler(), TagCollectionSvc::connect(), NTupleSvc::connect(), CollectionCloneAlg::connect(), TagCollectionStream::connectAddress(), Gaudi::IODataManager::connectDataIO(), DataStreamTool::connectStream(), AlgorithmManager::createAlgorithm(), PoolDbCnvSvc::createConverter(), PoolDbNTupleCnv::createObj(), RootHistCnv::RNTupleCnv::createRep(), NTupleSvc::createService(), ApplicationMgr::declareMultiSvcType(), ApplicationMgr::decodeCreateSvcNameList(), ApplicationMgr::decodeDllNameList(), ApplicationMgr::decodeExtSvcNameList(), ApplicationMgr::decodeMultiThreadSvcNameList(), Sequencer::decodeNames(), Gaudi::IODataManager::disconnect(), DataOnDemandSvc::dump(), PoolDbBaseCnv::dumpReferences(), RootHistCnv::RConverter::error(), Gaudi::IODataManager::error(), DataOnDemandSvc::execHandler(), StoreExplorerAlg::execute(), PartitionSwitchAlg::execute(), RootHistCnv::RDirectoryCnv::fillObjRefs(), PoolDbNTupleCnv::fillRepRefs(), FastContainersSvc::finalize(), PoolDbCnvSvc::finalize(), GFALDataStreamTool::finalize(), DataOnDemandSvc::handle(), VFSSvc::initialize(), HepRndm::Engine< TYPE >::initialize(), TagCollectionStream::initialize(), CollectionCloneAlg::initialize(), FastContainersSvc::initialize(), StoreExplorerAlg::initialize(), PartitionSwitchTool::initialize(), PartitionSwitchAlg::initialize(), MultiStoreSvc::initialize(), PythonScriptingSvc::initialize(), PoolDbCnvSvc::initialize(), PoolDbCacheSvc::initialize(), PoolDbBaseCnv::initialize(), DataListenerSvc::initialize(), Service::initialize(), DataSvc::initialize(), PoolDbCnvSvc::loadConverter(), PoolDbCacheSvc::loadDictionary(), DLLClassManager::loadModule(), DataSvc::loadObject(), PoolDbBaseCnv::makeError(), makeStreamer(), PoolDbCnvSvc::markUpdate(), CollectionCloneAlg::mergeEntries(), CollectionCloneAlg::mergeInputTuples(), PLUGINSVC_FACTORY(), StoreExplorerAlg::printObj(), PoolDbNTupleCnv::readData(), Gaudi::IODataManager::reconnect(), MultiStoreSvc::reinitialize(), DataSvc::reinitialize(), PythonScriptingSvc::run(), DetDataSvc::setEventTime(), PoolDbBaseCnv::setReferences(), DataOnDemandSvc::setup(), DataOnDemandSvc::update(), NTupleSvc::updateDirectories(), PoolDbBaseCnv::updateObjRefs(), GFALDataStreamTool::updateStreamTurls(), RootHistCnv::RRWNTupleCnv::writeData(), TagCollectionStream::writeData(), TagCollectionStream::writeObjects(), TagCollectionStream::writeTuple(), and StatusCode::~StatusCode().

    00226                                          {
    00227   return s.doOutput();
    00228 }

MsgStream& endreq | ( | MsgStream & | s | ) | `[inline]`

MsgStream Modifier: endreq. Calls the output method of the MsgStream.

Definition at line 222 of file MsgStream.h.

References Gaudi::Units::s.

Referenced by PersistencySvc::addCnvService(), GFALStageBlock::addFile(), OutputStream::addItem(), EvtCollectionStream::addItem(), IncidentSvc::addListener(), ParticlePropertySvc::addParticles(), DataStreamTool::addStream(), GFALDataStreamTool::addStreams(), NameAuditor::afterBeginRun(), NameAuditor::afterEndRun(), NameAuditor::afterExecute(), AlgErrorAuditor::afterExecute(), NameAuditor::afterFinalize(), NameAuditor::afterInitialize(), NameAuditor::afterReinitialize(), DataListenerSvc::apmSend(), NameAuditor::beforeBeginRun(), NameAuditor::beforeEndRun(), NameAuditor::beforeExecute(), NameAuditor::beforeFinalize(), NameAuditor::beforeInitialize(), NameAuditor::beforeReinitialize(), Sequencer::beginRun(), GaudiSequencer::beginRun(), RootHistCnv::RRWNTupleCnv::book(), RootHistCnv::RCWNTupleCnv::book(), HbookCnv::HRWNTupleCnv::book(), HbookCnv::HCWNTupleCnv::book(), HbookCnv::H2DCnv::book(), HistogramSvc::book(), GaudiHistos< PBASE >::book1D(), GaudiHistos< PBASE >::book2D(), GaudiHistos< PBASE >::book3D(), GaudiHistos< PBASE >::bookProfile1D(), GaudiHistos< PBASE >::bookProfile2D(), HistorySvc::captureState(), ChronoStatSvc::chronoPrint(), DataStreamTool::clear(), DetDataSvc::clearStore(), OutputStream::collectObjects(), ApplicationMgr::configure(), THistSvc::connect(), IssueLogger::connect(), AIDATupleSvc::connect(), OutputStream::connectConversionSvc(), HistogramSvc::connectInput(), EventCollectionSelector::connectTuple(), ToolSvc::create(), EventCollectionSelector::createAddress(), AlgorithmManager::createAlgorithm(), Sequencer::createAndAppend(), EventSelector::createContext(), EventCollectionSelector::createContext(), HistorySvc::createDataHistoryObj(), HistogramSvc::createDirectory(), AIDATupleSvc::createDirectory(), createItem(), RootHistCnv::RNTupleCnv::createObj(), RootHistCnv::RFileCnv::createObj(), HbookCnv::HFileCnv::createObj(), PoolDbDatabaseCnv::createObj(), PoolDbBaseCnv::createObj(), HistogramSvc::createPath(), AIDATupleSvc::createPath(), RootHistCnv::RNTupleCnv::createRep(), RootHistCnv::RConverter::createRep(), RootHistCnv::PersSvc::createRep(), HbookCnv::HNTupleCnv::createRep(), HbookCnv::HConverter::createRep(), PoolDbNTupleCnv::createRep(), ServiceManager::createService(), ServiceLocatorHelper::createService(), HbookCnv::HConverter::createSubDirs(), HbookCnv::HCWNTupleCnv::declare(), ServiceManager::declareSvcFactory(), OutputStream::decodeAlgorithms(), ApplicationMgr::decodeDllNameList(), Sequencer::decodeNames(), GaudiSequencer::decodeNames(), MinimalEventLoopMgr::decodeOutStreams(), MinimalEventLoopMgr::decodeTopAlgs(), CounterSvc::defaultPrintout(), THistSvc::deReg(), ParticlePropertySvc::diff(), RootHistCnv::RConverter::diskDirectory(), JobOptionsSvc::dump(), DataOnDemandSvc::dump(), GaudiSequencer::endRun(), GaudiTuples< PBASE >::evtCol(), Sequencer::execute(), Prescaler::execute(), GaudiSequencer::execute(), EventCounter::execute(), EventLoopMgr::executeEvent(), ApplicationMgr::executeEvent(), MinimalEventLoopMgr::executeEvent(), ApplicationMgr::executeRun(), MinimalEventLoopMgr::executeRun(), RootHistCnv::RDirectoryCnv::fillObjRefs(), PartPropSvc::finalize(), RootHistCnv::PersSvc::finalize(), ToolSvc::finalize(), THistSvc::finalize(), StatusCodeSvc::finalize(), OutputStream::finalize(), HistogramPersistencySvc::finalize(), ParticlePropertySvc::finalize(), IssueLogger::finalize(), DataOnDemandSvc::finalize(), HistorySvc::finalize(), HistogramSvc::finalize(), EventSelector::finalize(), DetDataSvc::finalize(), ChronoStatSvc::finalize(), EventLoopMgr::finalize(), ApplicationMgr::finalize(), AlgContextSvc::finalize(), AIDATupleSvc::finalize(), PoolDbEvtSelector::finalize(), DataListenerSvc::finalize(), MinimalEventLoopMgr::finalize(), ConversionSvc::finalize(), GslSvc::finalize(), GslErrorCount::finalize(), AlgErrorAuditor::finalize(), Sequencer::finalize(), Prescaler::finalize(), GaudiTool::finalize(), GaudiSequencer::finalize(), GaudiCommon< PBASE >::finalize(), GaudiAlgorithm::finalize(), EventCounter::finalize(), SequencerTimerTool::finalize(), GaudiTuples< PBASE >::finalize(), GaudiHistos< PBASE >::finalize(), ServiceManager::finalizeServices(), ToolSvc::finalizeTool(), RootHistCnv::RConverter::findTFile(), IncidentSvc::fireIncident(), GFALDataStreamTool::firstBlockStage(), EventSelector::firstOfNextStream(), GaudiCommon< PBASE >::get(), HistorySvc::getAlgHistory(), HistorySvc::getAlgToolHistory(), HistorySvc::getCurrentIAlg(), EventLoopMgr::getEventRoot(), ServiceManager::getService(), HistorySvc::getServiceHistory(), THistSvc::getTHists(), THistSvc::getTTrees(), HistorySvc::handle(), ExceptionSvc::handle(), DetDataSvc::handle(), AlgContextSvc::handle(), DataListenerSvc::handle(), Gaudi::Guards::ExceptionGuard::handle(), GslErrorPrint::handle(), ExceptionSvc::handleErr(), TimingAuditor::i_beforeExecute(), TimingAuditor::i_beforeInitialize(), ApplicationMgr::i_startup(), PartPropSvc::initialize(), RootHistCnv::PersSvc::initialize(), HbookCnv::PersSvc::initialize(), Gaudi::IODataManager::initialize(), ToolSvc::initialize(), THistSvc::initialize(), StatusCodeSvc::initialize(), RndmGenSvc::initialize(), PersistencySvc::initialize(), OutputStream::initialize(), EvtCollectionStream::initialize(), ParticlePropertySvc::initialize(), IncidentSvc::initialize(), HistorySvc::initialize(), HistogramSvc::initialize(), ExceptionSvc::initialize(), EventSelector::initialize(), EventCollectionSelector::initialize(), DetDataSvc::initialize(), ChronoStatSvc::initialize(), EventLoopMgr::initialize(), ApplicationMgr::initialize(), AlgContextSvc::initialize(), AIDATupleSvc::initialize(), PoolDbEvtSelector::initialize(), PoolDbCnvSvc::initialize(), DataListenerSvc::initialize(), MinimalEventLoopMgr::initialize(), DataStreamTool::initialize(), GslSvc::initialize(), FuncMinimum::initialize(), EqSolver::initialize(), GFALStageFile::initialize(), GFALDataStreamTool::initialize(), AlgErrorAuditor::initialize(), AlgContextAuditor::initialize(), Sequencer::initialize(), Prescaler::initialize(), GaudiSequencer::initialize(), GaudiCommon< PBASE >::initialize(), EventCounter::initialize(), TimingAuditor::initialize(), SequencerTimerTool::initialize(), GaudiTuples< PBASE >::initialize(), GaudiHistos< PBASE >::initialize(), ServiceManager::initializeServices(), EventSelector::lastOfPreviousStream(), StatusCodeSvc::list(), HistorySvc::listProperties(), RootHistCnv::RCWNTupleCnv::load(), HbookCnv::HRWNTupleCnv::load(), HbookCnv::HCWNTupleCnv::load(), DLLClassManager::loadModule(), ServiceLocatorHelper::locateService(), ConversionSvc::makeCall(), ServiceManager::makeService(), THistSvc::MergeRootFile(), GaudiHistos< PBASE >::monitorHisto(), GaudiCommon< PBASE >::msgLevelHandler(), AIDATupleSvc::myTest(), ToolSvc::nameTool(), AuditorSvc::newAuditor_(), GFALDataStreamTool::nextBlockStage(), EventLoopMgr::nextEvent(), ApplicationMgr::nextEvent(), MinimalEventLoopMgr::nextEvent(), HistogramSvc::not_implemented(), GaudiTuples< PBASE >::nTuple(), ParticlePropertySvc::parse(), PoolDbEvtSelector::previous(), CounterSvc::print(), GaudiAlg::Print2DProf::print(), GaudiAlg::Print1DProf::print(), GaudiAlg::Print3D::print(), GaudiAlg::Print2D::print(), GaudiAlg::Print1D::print(), GaudiCommon< PBASE >::Print(), GaudiCommon< PBASE >::printErrors(), GaudiTuples< PBASE >::printEvtCols(), EventSelector::printEvtInfo(), GaudiHistos< PBASE >::printHistos(), MemStatAuditor::printinfo(), MemoryAuditor::printinfo(), GaudiException::printOut(), GaudiCommon< PBASE >::printProps(), GaudiCommon< PBASE >::printStat(), ChronoStatSvc::printStats(), GaudiTuples< PBASE >::printTuples(), RootHistCnv::RCWNTupleCnv::readData(), HbookCnv::HCWNTupleCnv::readData(), JobOptionsSvc::readOptions(), ApplicationMgr::reflexDebugPropertyHandler(), StatusCodeSvc::regFnc(), THistSvc::regGraph(), HistorySvc::registerAlg(), HistorySvc::registerAlgTool(), DataSvc::registerObject(), HistorySvc::registerSvc(), RootHistCnv::RConverter::regTFile(), THistSvc::reinitialize(), StatusCodeSvc::reinitialize(), HistogramPersistencySvc::reinitialize(), IssueLogger::reinitialize(), EventSelector::reinitialize(), EventLoopMgr::reinitialize(), Service::reinitialize(), MinimalEventLoopMgr::reinitialize(), DataSvc::reinitialize(), AlgTool::reinitialize(), Algorithm::reinitialize(), AlgorithmManager::reinitializeAlgorithms(), ServiceManager::reinitializeServices(), GaudiCommon< PBASE >::releaseSvc(), ToolSvc::releaseTool(), GaudiCommon< PBASE >::releaseTool(), Sequencer::remove(), IncidentSvc::removeListener(), PoolDbEvtSelector::resetCriteria(), Service::restart(), MinimalEventLoopMgr::restart(), AlgTool::restart(), Algorithm::restart(), AlgorithmManager::restartAlgorithms(), ServiceManager::restartServices(), ToolSvc::retrieve(), AIDATupleSvc::retrieveObject(), EventSelector::rewind(), ApplicationMgr::run(), ChronoStatSvc::saveStats(), RndmGenSvc::serialize(), PersistencySvc::service(), ConversionSvc::setAddressCreator(), GFALDataStreamTool::setBlocks(), AlgContextSvc::setCurrentAlg(), ConversionSvc::setDataProvider(), RootHistCnv::RConverter::setDirectory(), JobOptionsSvc::setMyProperties(), DataOnDemandSvc::setup(), IssueLogger::setupDefaultLogger(), DetDataSvc::setupDetectorDescription(), IssueLogger::setupLevels(), IssueLogger::setupStreams(), EqSolver::solver(), GFALStageBlock::Stage(), GFALStageBlock::stageInitialize(), ApplicationMgr::start(), MinimalEventLoopMgr::start(), Sequencer::start(), ServiceManager::startServices(), ApplicationMgr::stop(), MinimalEventLoopMgr::stop(), Sequencer::stop(), ApplicationMgr::stopRun(), ServiceManager::stopServices(), PersistencySvc::svcNamesHandler(), AuditorSvc::syncAuditors_(), Algorithm::sysBeginRun(), Algorithm::sysEndRun(), Algorithm::sysExecute(), Service::sysFinalize(), Auditor::sysFinalize(), AlgTool::sysFinalize(), Algorithm::sysFinalize(), Service::sysInitialize(), Auditor::sysInitialize(), AlgTool::sysInitialize(), Algorithm::sysInitialize(), Service::sysReinitialize(), AlgTool::sysReinitialize(), Algorithm::sysReinitialize(), Service::sysRestart(), AlgTool::sysRestart(), Algorithm::sysRestart(), Service::sysStart(), AlgTool::sysStart(), Algorithm::sysStart(), Service::sysStop(), AlgTool::sysStop(), Algorithm::sysStop(), ApplicationMgr::terminate(), AlgContextSvc::unSetCurrentAlg(), DataOnDemandSvc::update_1(), DataOnDemandSvc::update_2(), DataOnDemandSvc::update_3(), GFALDataStreamTool::updateBlockStatus(), THistSvc::updateFiles(), RootHistCnv::RNTupleCnv::updateObj(), DetDataSvc::updateObject(), RootHistCnv::RNTupleCnv::updateRep(), RootHistCnv::RFileCnv::updateRep(), HbookCnv::HNTupleCnv::updateRep(), HbookCnv::HFileCnv::updateRep(), GFALStageBlock::updateStatus(), GFALDataStreamTool::updateStreamTurls(), THistSvc::write(), StreamLogger::WriteToMsgSvc(), and DataListenerSvc::writeXML().

    00222                                          {
    00223   return s.doOutput();
    00224 }

std::string format | ( | const char * | ,
|  |  | ... |
| ) |  |  |

MsgStream format utility "a la sprintf(...)".

Definition at line 99 of file MsgStream.cpp.

Referenced by Gaudi::Parsers::Parser::addMessage(), AlgTool::declareInfo(), Algorithm::declareInfo(), Message::decodeFormat(), DataOnDemandSvc::dump(), Gaudi::Parsers::Catalogue::fillStream(), TimerForSequencer::fillStream(), SequencerTimerTool::finalize(), Gaudi::Utils::Histos::format(), Gaudi::Utils::formatAsTableRow(), configGenerator::genHeader(), configGenerator::genImport(), SequencerTimerTool::initialize(), Message::makeFormattedMsg(), Gaudi::Parsers::Parser::matchAssign(), Gaudi::Parsers::Parser::matchUnit(), Gaudi::Parsers::Parser::matchUnitEntry(), ChronoEntity::outputTime(), Gaudi::Parsers::Parser::parseFile(), Gaudi::Parsers::Parser::posString(), StatEntity::print(), Stat::print(), GaudiAlg::PrintTuple::print(), GaudiCommon< PBASE >::printErrors(), Gaudi::Parsers::Parser::resolveReferences(), Message::setFormat(), Gaudi::Parsers::Parser::setIsPrint(), Gaudi::Parsers::Parser::setIsPrintOptions(), GaudiAlg::Print2DProf::toString(), GaudiAlg::Print1DProf::toString(), GaudiAlg::Print3D::toString(), GaudiAlg::Print2D::toString(), and GaudiAlg::Print1D::toString().

    00100 {
    00101   const int buffsize = 2048;
    00102   static char buffer[buffsize];
    00103   va_list arguments;
    00104   va_start( arguments, fmt );
    00105   if( vsprintf(buffer, fmt, arguments) >= buffsize )
    00106     throw GaudiException("Insufficient buffer size (2048) when formatting message",
    00107                          "MsgStream", 0);
    00108   return std::string(buffer);
    00109 }

template<typename T, typename A>

MsgStream& operator<< | ( | MsgStream & | lhs,
|  | const std::vector< T, A > & | v |
| ) |  |  |

Specialization stream operator for std::vector<T,A>.

Definition at line 317 of file MsgStream.h.

    00317                                                                  {
    00318   if(lhs.isActive())
    00319     for ( typename std::vector<T,A>::const_iterator i = v.begin();
    00320           i != v.end(); ++i ) { lhs.stream() << *i << " "; }
    00321   return lhs;
    00322 }

template<typename T>

MsgStream& operator<< | ( | MsgStream & | lhs,
|  | const std::vector< T > & | v |
| ) |  |  |

Specialization stream operator for std::vector<T>.

Definition at line 309 of file MsgStream.h.

References MsgStream::stream().

    00309                                                                {
    00310   if(lhs.isActive())
    00311     for ( typename std::vector<T>::const_iterator i = v.begin();
    00312           i != v.end(); ++i ) { lhs.stream() << *i << " "; }
    00313   return lhs;
    00314 }

template<typename T>

MsgStream& operator<< | ( | MsgStream & | lhs,
|  | const T & | arg |
| ) |  |  |

General templated stream operator.

Definition at line 303 of file MsgStream.h.

References MsgStream::isActive(), and MsgStream::stream().

    00303                                                       {
    00304   if(lhs.isActive()) lhs.stream() << arg;
    00305   return lhs;
    00306 }

template<class _Tm>

MsgStream& operator<< | ( | MsgStream & | s,
|  | const std::smanip< _Tm > & | manip |
| ) |  |  | `[inline]`

I/O Manipulator for setfill.

Definition at line 295 of file MsgStream.h.

References Gaudi::Units::s.

    00295                                                                     {
    00296   if ( s.isActive() ) s.stream() << manip;
    00297   return s;
    00298 }